#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

export INSTALL_PREFIX  = /usr
export INSTALL_DESTDIR = /debian/lightdm-qt5-greeter$(INSTALL_PREFIX)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

override_dh_install:
	install -Dm 0644 $(CURDIR)/../SOURCES/65-lightdm-qt5-greeter.conf $(CURDIR)$(INSTALL_DESTDIR)/share/lightdm/lightdm.conf.d/65-lightdm-qt5-greeter.conf
	dh_install --

override_dh_missing:
	dh_missing --fail-missing
